-- New commands to be executed via Aseprite menus / keyboard shortcuts
local sprt = require "sprite"

local function ExportSpritesheetAdvanced()
    if not app.sprite then
        return app.alert "Must have a sprite open to export."
    end

    local sprite = Sprite(app.sprite)

    sprt.deleteLayers(sprite, sprite.layers)
    sprt.flattenLayers(sprite.layers)
    sprt.revealLayers(sprite.layers)

    app.range.sprite = sprite
    app.command.ExportSpriteSheet {
        splitLayers = true
    }

    app.range.sprite = app.sprite
end

local function ToggleIgnore()
    local layer = app.layer
    if (layer.properties(extKey).ignored) then
        layer.properties(extKey).ignored = false
    else
        layer.properties(extKey).ignored = true
    end
end

local function ToggleExportAsSprite()
    local layer = app.layer
    if (layer.properties(extKey).exportedAsSprite) then
        layer.properties(extKey).exportedAsSprite = false
    else
        layer.properties(extKey).exportedAsSprite = true
    end
end

local export = {
    ExportSpritesheetAdvanced = ExportSpritesheetAdvanced,
    ToggleIgnore = ToggleIgnore,
    ToggleExportAsSprite = ToggleExportAsSprite
}
return export